Monitoring - Retrieve Dashboard
Retrieves the dashboard properties and configuration.
GET http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
Specify the dashboard ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved the dashboard properties and configuration. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
Monitoring_RetrieveDashboard
Sample request
GET http://<Servername>/OperationsManager/monitoring/dashboard/5a9d9caf-6453-5d7c-ae4d-cf53fb6dc298
Sample response
{
"id": "5a9d9caf-6453-5d7c-ae4d-cf53fb6dc298",
"name": "test",
"description": null,
"mpId": "da187e72-b9d7-9e16-d098-3b0a624dc38c",
"componentType": "",
"config": ""
}
Definitions
ComponentResponse
| Name | Type | Description |
|---|---|---|
| componentType |
string |
Component Type |
| config |
string |
configuration |
| description |
string |
Component Description |
| id |
string |
ID |
| mpId |
string |
Component MP ID |
| name |
string |
Component Name |